## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global modname toot

Name:           %{modname}
Version:        0.47.0
Release:        %autorelease
Summary:        A CLI and TUI tool for interacting with Mastodon

# Automatically converted from old format: GPLv3 - review is highly recommended.
License:        GPL-3.0-only
URL:            https://github.com/ihabunek/%{modname}
Source0:        https://github.com/ihabunek/%{modname}/archive/refs/tags/%{version}.tar.gz#/%{modname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3dist(setuptools-scm) >= 8
BuildRequires:  python3dist(wheel) python3dist(pytest) python3dist(pillow)

%description
Toot is a CLI and TUI tool for interacting with Mastodon instances
from the command line.

%prep
%autosetup -n %{modname}-%{version}
rm -rf %{modname}.egg-info
find . -type f -name "*.py" -exec sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' {} 2>/dev/null ';'

%generate_buildrequires
export SETUPTOOLS_SCM_PRETEND_VERSION='%{version}'
%pyproject_buildrequires

%build
export SETUPTOOLS_SCM_PRETEND_VERSION='%{version}'
%pyproject_wheel

%install
%pyproject_install

%check
%{python3} -m pytest -k 'not test_console' --ignore=tests/tui/test_rich_text.py 

%files -n %{modname}
%{_bindir}/toot
%{python3_sitelib}/%{modname}
%{python3_sitelib}/%{modname}-%{version}.dist-info/
%license LICENSE

%changelog
## START: Generated by rpmautospec
* Fri Nov 15 2024 Alessio <alciregi_AT_fedoraproject.org> - 0.47.0-1
- Update to 0.47.0

* Thu Nov 14 2024 Alessio <alciregi_AT_fedoraproject.org> - 0.46.0-1
- Update to 0.46.0

* Mon Sep 30 2024 Alessio <alciregi_AT_fedoraproject.org> - 0.45.0-1
- Update to 0.45.0

* Wed Aug 14 2024 Alessio <alciregi@fedoraproject.org> - 0.44.1-2
- Update to 0.44.1

* Wed Aug 14 2024 Alessio <alciregi@fedoraproject.org> - 0.44.1-1
- Update to 0.44.1

* Mon Jul 29 2024 Miroslav Suchý <msuchy@redhat.com> - 0.43.0-4
- convert GPLv3 license to SPDX

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.43.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 0.43.0-2
- Rebuilt for Python 3.13

* Mon Apr 22 2024 Alessio <alciregi@fedoraproject.org> - 0.43.0-1
- Update to 0.43.0

* Wed Mar 13 2024 Alessio <alciregi@fedoraproject.org> - 0.42.0-2
- Added ckick build requirement

* Wed Mar 13 2024 Alessio <alciregi@fedoraproject.org> - 0.42.0-1
- Update to 0.42.0

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.39.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Nov 27 2023 Alessio <alciregi@fedoraproject.org> - 0.39.0-2
- Update to 0.39.0

* Mon Nov 27 2023 Alessio <alciregi@fedoraproject.org> - 0.39.0-1
- Update to 0.39.0

* Tue Nov 21 2023 Alessio <alciregi@fedoraproject.org> - 0.38.2-1
- Update to 0.38.2

* Fri Jul 28 2023 Alessio <alciregi@fedoraproject.org> - 0.38.1-1
- Update to 0.38.1

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.37.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 28 2023 Python Maint <python-maint@redhat.com> - 0.37.0-3
- Rebuilt for Python 3.12

* Wed Jun 28 2023 Alessio <alciregi@fedoraproject.org> - 0.37.0-2
- new sources

* Wed Jun 28 2023 Alessio <alciregi@fedoraproject.org> - 0.37.0-1
- Update to 0.37.0

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 0.36.0-2
- Rebuilt for Python 3.12

* Thu Mar 09 2023 Alessio <alciregi@fedoraproject.org> - 0.36.0-1
- Update to 0.36.0

* Thu Mar 02 2023 Alessio <alciregi@fedoraproject.org> - 0.35.0-1
- Update to 0.35.0

* Tue Feb 21 2023 Alessio <alciregi@fedoraproject.org> - 0.34.1-1
- Update to 0.34.1

* Tue Feb 07 2023 Alessio <alciregi@fedoraproject.org> - 0.34.0-2
- Fix wrong conversion to %%autochangelog

* Fri Feb 03 2023 Alessio <alciregi@fedoraproject.org> - 0.34.0-1
- Update to 0.34.0

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.33.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jan 14 2023 Alessio <alciregi@fedoraproject.org> - 0.33.1-2
- Update to 0.33.1

* Sat Jan 14 2023 Alessio <alciregi@fedoraproject.org> - 0.33.1-1
- Update to 0.33.1

* Mon Jan 02 2023 Alessio <alciregi@fedoraproject.org> - 0.33.0-1
- Update to 0.33.0

* Mon Dec 12 2022 alciregi <alciregi@fedoraproject.org> - 0.32.1-1
- Update to 0.32.1

* Fri Dec 09 2022 Alessio <alciregi@fedoraproject.org> - 0.31.0-1
- iUpdate to 0.31.0

* Tue Nov 29 2022 Alessio <alciregi@fedoraproject.org> - 0.30.0-1
- Update to 0.30.0

* Mon Nov 21 2022 Alessio <alciregi@fedoraproject.org> - 0.29.0-2
- Added BuildRequires python3-urwid for python tests

* Mon Nov 21 2022 Alessio <alciregi@fedoraproject.org> - 0.29.0-1
- Update to 0.29.0

* Mon Nov 21 2022 Alessio <alciregi@fedoraproject.org> - 0.28.1-3
- Update to 0.29.0

* Mon Nov 14 2022 Alessio <alciregi@fedoraproject.org> - 0.28.1-2
- Disabled test_console

* Mon Nov 14 2022 Alessio <alciregi@fedoraproject.org> - 0.28.1-1
- Update to 2.8.1

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.28.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.28.0-4
- Rebuilt for Python 3.11

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.28.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 10 2021 Alessio <alciregi@fedoraproject.org> - 0.28.0-2
- New sources

* Fri Dec 10 2021 Alessio <alciregi@fedoraproject.org> - 0.28.0-1
- New release 0.28.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.27.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.27.0-5
- Rebuilt for Python 3.10

* Mon Apr 19 2021 Tomas Hrnciar <thrnciar@redhat.com> - 0.27.0-4
- BuildRequire setuptools explicitly

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.27.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Sep 25 2020 alessio <alessio@fedoraproject.org> - 0.27.0-2
- Update README

* Fri Sep 25 2020 alessio <alessio@fedoraproject.org> - 0.27.0-1
- Initial import (#1871123).
## END: Generated by rpmautospec
